<div class="fieldset-legend">
        <h4>
            <b><label>Cut Off Data</label></b>
        </h4>

    <p-accordion class="filter-accordion">
        <p-accordionTab header="Cut Off Data" [selected]="true">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Gudang</label>
                        <select class="form-control" id="field_facility" name="facilities" [(ngModel)]="selectedfacility" (change)="FacilityChange()">
                            <option [ngValue]="">ALL</option>
                            <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" id="field_container" name="containers" [(ngModel)]="selectedcontainer" [disabled]="!selectedfacility">
                            <option [ngValue]="">ALL</option>
                            <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="btn-filter-wrapper pull-left" style="margin-top: 30px;">
                            <button type="button" class="btn btn-primary btn-filter"(click)="stockopnamecutoff()">
                                <span>Cut Off</span>
                            </button>
                        </div>
                    </div>
                </div>
                <!-- <div class="col-sm-4">
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter">
                            <span>Cut Off</span>
                        </button>
                    </div>
                </div> -->
            </div>
        </p-accordionTab>
    </p-accordion>
    <!-- <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Cari Surat Jalan">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button> -->

            <!-- <ul class="nav justify-content-end">
                <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                    </a>
                </li>
            </ul> -->
        <!-- </div>
    </form>
    &nbsp;
    &nbsp; -->

    <p-dataTable 
        [value]="stockOpnamesNet"
        [paginator]="true" 
        [rows]="itemsPerPage" 
        [pageLinks]="5" 
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="queryCount" 
        [responsive]="true" 
        [lazy]="true" 
        dataKey="IdStockOpname"
        expandableRows="false" 
        (onLazyLoad)="loadDataLazy($event)" >

        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column> -->
        <p-column header="No. Stock Opname">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.StockOpnameNumber}}
            </ng-template>
        </p-column>
        <p-column header="Waktu Cut Off">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtCreated | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="Gudang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.FacilityName}}
                <!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
            </ng-template>
        </p-column>
        <p-column header="Lokasi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ContainerName}}
            </ng-template>
        </p-column>
        <p-column header="Status Opname">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.Status}}
            </ng-template>
        </p-column>
        <p-column header="Created By">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.CreatedBy}}
            </ng-template>
        </p-column>
        <p-column header="Status Assign">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.AssignStatus}}
            </ng-template>
        </p-column>
        <p-column header="Aksi"[style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                        [routerLink]="['../stock-opname-unit-assign/' + rowData.IdStockOpname + '/assign']"
                        icon="fa-user-plus"
                        class="flat-button"
                        pTooltip="Assign"
                        [style]="{'height':'50px'}"
                        *ngIf="rowData.idStatusType==11">
                </button>
                <button pButton type="button"
                        [routerLink]="['../stock-opname-unit-detail/' + rowData.IdStockOpname + '/detail']"
                        icon="fa-eye"
                        class="flat-button"
                        pTooltip="Detail"
                        [style]="{'height':'50px'}">
                </button>
                <button pButton type="submit"
                        [routerLink]="['../stock-opname-unit-result/' + rowData.IdStockOpname]"
                        icon="fa-pencil"
                        class="flat-button"
                        pTooltip="Edit"
                        [style]="{'height':'50px'}">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>